SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001861SiT!inbound emailpublic2013-04-23 21:012013-05-04 14:07
Reporterpaulh 
Assigned Topaulh 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionCurrent GIT 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001861: Following upgrade inbox.php shows 58 new emails
DescriptionFollowing an upgrade (3.65>3.90) there are 58 new emails in our inbox.php These are incidents which have previously been created so shoudl no longer exist. These date from 2010 up until the present day.

This looks like a previous bug which didn't correctly tidy the tempincoming entries
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0004786)
ivan (administrator)
2013-04-24 19:53

Yep quite likely a previous bug. What do you think we should do?
User avatar (0004790)
paulh (administrator)
2013-04-24 20:44

The existing holding queue seems to join temp incoming and updates and the new mechanism does this in two phases so I'm not 100% sure why this is happening.

Though we should show a consistent view of the data as such either we should change inbox to join the same was as old or tidy the data on upgrade, the latter seems sensible though we probably need to decide if we're keeping inbox.php for 3.9 or reverting until a subsequent release
User avatar (0004810)
paulh (administrator)
2013-05-04 14:07

e64877d removes from temp incoming any items which have been processed (where there incidentid > 0 in the update table)

- Issue History
Date Modified Username Field Change
2013-04-23 21:01 paulh New Issue
2013-04-24 19:53 ivan Note Added: 0004786
2013-04-24 20:44 paulh Note Added: 0004790
2013-05-04 13:49 paulh Assigned To => paulh
2013-05-04 13:49 paulh Status new => assigned
2013-05-04 14:07 paulh Note Added: 0004810
2013-05-04 14:07 paulh Status assigned => resolved
2013-05-04 14:07 paulh Resolution open => fixed
2013-05-04 14:07 paulh Fixed in Version => Current GIT


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker